package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectApprovalAcceptanceService;
import com.unis.project.common.vo.ProjectApprovalAcceptanceVO;
import com.unis.project.client.ProjectApprovalAcceptanceFeign;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectApprovalAcceptanceController
 * @ProjectName 项目立项验收 ProjectApprovalAcceptanceController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "项目立项验收 ", tags = "项目立项验收")
@Slf4j
public class ProjectApprovalAcceptanceController {

	@Autowired
	private ProjectApprovalAcceptanceFeign projectApprovalAcceptanceFeign;

	@Autowired
	private ProjectApprovalAcceptanceService projectApprovalAcceptanceService;

	@PostMapping(value = "/projectApprovalAcceptance/{dataStatus}")
	@ApiOperation(value = "项目立项验收-根据状态保存数据", notes = "参数：项目立项验收信息对象，操作状态 0、保存。1、提交")
	public ResponseWrapper projectApprovalAcceptance(@RequestBody ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO,
													 @PathVariable("dataStatus")Integer dataStatus) {
		return projectApprovalAcceptanceService.projectApprovalAcceptance(projectApprovalAcceptanceVO,dataStatus);
	}

	@GetMapping(value="/projectApprovalAcceptance/{xmsqId}/{xmlxlx}")
	@ApiOperation(value = "项目立项验收-查询详情", notes = "参数：项目申请id，项目立项类型xmlxlx：1、立项审批。2、项目验收")
	public ResponseWrapper getProjectApprovalAcceptanceInfoById(@PathVariable("xmsqId") String xmsqId,@PathVariable("xmlxlx") Integer xmlxlx) {
		return projectApprovalAcceptanceFeign.getProjectApprovalAcceptanceInfoById(xmsqId, xmlxlx);
	}

    @PostMapping(value = "/projectApprovalAcceptanceApproval")
    @ApiOperation(value = "项目立项验收-审批", notes = "参数：项目立项验收信息对象")
    public ResponseWrapper projectApprovalAcceptanceApproval(@RequestBody ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO) {
        return projectApprovalAcceptanceService.projectApprovalAcceptanceApproval(projectApprovalAcceptanceVO);
    }
}
