package com.unis.project.app.controller;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectBiddingService;
import com.unis.project.common.vo.ProjectBidingVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.unis.project.client.ProjectBiddingFeign;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileController
 * @ProjectName 文件 FileController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "项目管理-招标", tags = "项目管理-招标")
@Slf4j
public class ProjectBiddingController {

	@Autowired
	private ProjectBiddingFeign biddingFeign;
	@Autowired
	private ProjectBiddingService projectBiddingService;

	@ApiOperation(value = "招标信息-新增", notes = "参数：项目招标，操作状态 0、保存。1、提交")
	@PostMapping(value = "/projectBidding/{dataStatus}")
	public ResponseWrapper insertProjectBidding(@RequestBody ProjectBidingVO projectBidingVO,
												@PathVariable(value = "dataStatus") Integer dataStatus){
		return projectBiddingService.insertProjectBidding(projectBidingVO, dataStatus);
	}


	@ApiOperation(value = "招标信息-查询详情", notes = "参数：项目招标类型:XMZBLX（1、设计招标。2、监理招标。3、建设招标）, 项目申请id:xmsqId")
	@PostMapping(value = "/projectBiddingDetail/{xmsqId}/{xmzblx}")
	public ResponseWrapper getProjectBiddingDetail(@PathVariable("xmsqId") String xmsqId,@PathVariable("xmzblx") Integer xmzblx){
		return biddingFeign.getProjectBiddingDetail(xmsqId,xmzblx);
	}
}
