package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectBiddingService;
import com.unis.project.app.service.ProjectFundApplicationService;
import com.unis.project.client.ProjectBiddingFeign;
import com.unis.project.client.ProjectFundApplicationFeign;
import com.unis.project.common.vo.ProjectBidingVO;
import com.unis.project.common.vo.ProjectFundApplicationVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileController
 * @ProjectName 文件 FileController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "项目管理-资金申请", tags = "项目管理-资金申请")
@Slf4j
public class ProjectFundApplicationController {

	@Autowired
	private ProjectFundApplicationFeign applicationFeign;
	@Autowired
	private ProjectFundApplicationService applicationService;

	@GetMapping(value = "/projectFundApplication/{xmsqId}")
	@ApiOperation(value = "资金申请-查询详情", notes = "参数：项目申请id")
	public ResponseWrapper getProjectFundApplicationInfoById(@PathVariable("xmsqId") String xmsqId) {
		return applicationFeign.getProjectFundApplicationInfoById(xmsqId);
	}


	@ApiOperation(value = "资金申请-新增", notes = "参数：资金申请信息对象，操作类型：0、保存。1、提交，项目资金申请")
	@PostMapping(value = "/projectFundApplication/{dataStatus}")
	public ResponseWrapper insertProjectFundApplication(@PathVariable(value = "dataStatus") Integer dataStatus,
														@RequestBody List<ProjectFundApplicationVO> projectFundApplicationVOList){
		return applicationService.insertProjectFundApplication(projectFundApplicationVOList, dataStatus);
	}

	/*@ApiOperation(value = "资金申请-审批", notes = "参数：资金申请信息对象")
	@PostMapping(value = "/projectFundApplicationApproval")
	public ResponseWrapper projectFundApplicationApproval(@RequestBody ProjectFundApplicationVO projectFundApplicationVO){
		return applicationService.projectFundApplicationApproval(projectFundApplicationVO);
	}*/
}
