package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectMaterialDetailsService;
import com.unis.project.common.vo.ProjectMaterialDetailsQueryVO;
import com.unis.project.common.vo.ProjectMaterialDetailsVO;
import com.unis.project.client.ProjectMaterialDetailsFeign;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMaterialDetailsController
 * @ProjectName 项目材料 ProjectMaterialDetailsController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "项目材料 ", tags = "项目材料")
@Slf4j
public class ProjectMaterialDetailsController {

	@Autowired
	private ProjectMaterialDetailsFeign projectMaterialDetailsFeign;

	@Autowired
	private ProjectMaterialDetailsService projectMaterialDetailsService;

	@ApiOperation(value = "项目材料-查看补充材料列表", notes = "参数：数据ID，项目材料类型，补充材料是否提交")
	@PostMapping(value = "/getProjectMaterialDetailsList")
	public ResponseWrapper getProjectMaterialDetailsList(@RequestBody ProjectMaterialDetailsQueryVO projectMaterialDetailsQueryVO){
		return projectMaterialDetailsFeign.getProjectMaterialDetailsList(projectMaterialDetailsQueryVO);
	}

	@PostMapping(value = "/projectMaterialDetailsList/{dataStatus}")
	@ApiOperation(value = "项目材料-根据状态保存数据", notes = "参数：项目材料信息列表，操作状态 0、保存。1、提交")
	public ResponseWrapper projectMaterialDetailsList(@RequestBody List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList,
													  @PathVariable("dataStatus") Integer dataStatus) {
		return projectMaterialDetailsService.projectMaterialDetailsList(projectMaterialDetailsVOList,dataStatus);
	}

}
