package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectMonthlyProgressReportService;
import com.unis.project.client.ProjectMonthlyProgressReportFeign;
import com.unis.project.common.vo.ProjectMonthlyProgressReportQueryVO;
import com.unis.project.common.vo.ProjectMonthlyProgressReportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMonthlyProgressReportController
 * @ProjectMonthlyProgressReportName 进度月报 ProjectMonthlyProgressReportController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "进度月报 ", tags = "进度月报")
@Slf4j
public class ProjectMonthlyProgressReportController {

	@Autowired
	private ProjectMonthlyProgressReportFeign projectMonthlyProgressReportFeign;

	@Autowired
	private ProjectMonthlyProgressReportService projectMonthlyProgressReportService;

	@ApiOperation(value = "进度月报-查询列表", notes = "参数：进度月报，是否调整")
	@PostMapping(value = "/projectMonthlyProgressReportList")
	public ResponseWrapper getProjectMonthlyProgressReportList(@RequestBody ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO){
		return projectMonthlyProgressReportFeign.getProjectMonthlyProgressReportList(projectMonthlyProgressReportQueryVO);
	}

	@ApiOperation(value = "进度月报-分页查询列表", notes = "参数：进度月报，是否调整")
	@PostMapping(value = "/projectMonthlyProgressReportPage/{pageNum}/{pageSize}")
	public ResponseWrapper getProjectMonthlyProgressReportPage(@RequestBody ProjectMonthlyProgressReportQueryVO projectMonthlyProgressReportQueryVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) {
		return projectMonthlyProgressReportFeign.getProjectMonthlyProgressReportPage(projectMonthlyProgressReportQueryVO,pageNum,pageSize);
	}

	@PutMapping(value = "/updateProjectMonthlyProgressReport")
	@ApiOperation(value = "进度月报-更新", notes = "参数：进度月报对象 model")
	public ResponseWrapper updateProjectMonthlyProgressReport(@RequestBody ProjectMonthlyProgressReportVO projectMonthlyProgressReportVO) {
		return projectMonthlyProgressReportService.updateProjectMonthlyProgressReport(projectMonthlyProgressReportVO);
	}

	@GetMapping(value="/projectMonthlyProgressReport/{xmjdybId}")
	@ApiOperation(value = "进度月报-查询详情", notes = "参数：进度月报ID")
	public ResponseWrapper getProjectMonthlyProgressReportInfoById(@PathVariable("xmjdybId") String xmjdybId) {
		return projectMonthlyProgressReportFeign.getProjectMonthlyProgressReportInfoById(xmjdybId);
	}

}
