package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectProgressBriefingService;
import com.unis.project.client.ProjectProgressBriefingFeign;
import com.unis.project.common.vo.ProjectProgressBriefingVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectProgressBriefingController
 * @ProjectName 项目进度简报 ProjectProgressBriefingController
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@RestController
@Api(value = "项目进度简报 ", tags = "项目进度简报")
@Slf4j
public class ProjectProgressBriefingController {

	@Autowired
	private ProjectProgressBriefingFeign projectProgressBriefingFeign;

	@Autowired
	private ProjectProgressBriefingService projectProgressBriefingService;

	@PostMapping(value = "/projectProgressBriefing/{dataStatus}")
	@ApiOperation(value = "项目进度简报-更新", notes = "参数：项目进度简报列表，操作状态 0、保存。1、提交")
	public ResponseWrapper update(@RequestBody List<ProjectProgressBriefingVO> projectProgressBriefingVOList,
								  @PathVariable("dataStatus") Integer dataStatus) {
		return projectProgressBriefingService.projectProgressBriefing(projectProgressBriefingVOList,dataStatus);
	}

	@ApiOperation(value = "项目进度简报-查询详情", notes = "参数：项目申请id")
	@PostMapping(value = "/projectProgressBriefingList/{xmsqId}")
	public ResponseWrapper getProjectMaterialDetailsListById(@PathVariable("xmsqId") String xmsqId){
		return projectProgressBriefingFeign.getProjectMaterialDetailsListById(xmsqId);
	}

}
