package com.unis.project.app.controller;

import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectProposalReportService;
import com.unis.project.client.ProjectProposalReportFeign;
import com.unis.project.common.vo.ProjectProposalReportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/28 19:30
 * Version 1.0
 */
@RestController
@Slf4j
@Api(value = "项目管理-项目建议书/可研报告", tags = "项目管理-项目建议书/可研报告")
public class ProjectProposalReportController {

    @Autowired
    private ProjectProposalReportFeign reportFeign;
    @Autowired
    private ProjectProposalReportService reportService;

    @ApiOperation(value = "项目建议书/可研报告-新增", notes = "参数：操作类型dataStatus：0、保存。1、提交，项目建议书报告")
    @PostMapping(value = "/projectProposalReport/{dataStatus}")
    public ResponseWrapper insertProjectProposalReport(@PathVariable(value = "dataStatus") Integer dataStatus,
                                                       @RequestBody ProjectProposalReportVO proposalReportVO){
        return reportService.insertProjectProposalReport(proposalReportVO,dataStatus);
    }


    @ApiOperation(value = "项目建议书/可研报告-查询详情", notes = "参数：项目文本类型xmwblx：1、项目建议书。2、可研报告,项目申请id")
    @PostMapping(value = "/projectProposalReportDetail/{xmsqId}/{xmwblx}")
    public ResponseWrapper getProjectProposalReportDetail(@PathVariable("xmsqId") String xmsqId,@PathVariable("xmwblx") Integer xmwblx){
        return reportFeign.getProjectProposalReportDetail(xmsqId,xmwblx);
    }

    @ApiOperation(value = "项目建议书/可研报告-审批", notes = "参数：项目建议书报告")
    @PostMapping(value = "/projectProposalReportApproval")
    public ResponseWrapper projectProposalReportApproval(@RequestBody ProjectProposalReportVO projectProposalReportVO){
        return reportService.projectProposalReportApproval(projectProposalReportVO);
    }

}
