package com.unis.project.app.service.impl;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectApplicationService;
import com.unis.project.client.ProjectApplicationFeign;
import com.unis.project.common.constant.BaseStatusConstant;
import com.unis.project.common.constant.ProjectStatusConstant;
import com.unis.project.common.vo.ProjectApplicationVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectApplicationServiceImpl
 * @ProjectName ProjectApplicationServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectApplicationServiceImpl implements ProjectApplicationService {

	@Autowired
	private ProjectApplicationFeign projectApplicationFeign;

	/**
	 * 根据状态保存数据
	 * @param projectApplicationVO
	 * @param dataStatus
	 * @return
	 */
	@Override
	public ResponseWrapper projectApplication(ProjectApplicationVO projectApplicationVO, Integer dataStatus) {
		ResponseWrapper responseWrapper = null;
		if (projectApplicationVO == null){
			return ResponseWrapper.error("操作失误，请联系管理员");
		} else {
			if (dataStatus.equals(BaseStatusConstant.STATUS_SAVE)) {//保存
				projectApplicationVO.setXmlxzt(ProjectStatusConstant.TO_BE_PEPORT.getValue());//更新状态为待上报
				projectApplicationVO.setRefreshDate(new Date());
				if (StringUtils.isEmpty(projectApplicationVO.getXmsqId())) {
					projectApplicationVO.setCreateor(CurrentUtil.getUserName());
					responseWrapper = projectApplicationFeign.insert(projectApplicationVO);
				} else {
					projectApplicationVO.setRefresher(CurrentUtil.getUserName());
					responseWrapper = projectApplicationFeign.update(projectApplicationVO);
				}
			} else if (dataStatus.equals(BaseStatusConstant.STATUS_SUBMIT)) {//提交
				projectApplicationVO.setXmlxzt(ProjectStatusConstant.APPLICATION.getValue());//更新状态为已申请
				projectApplicationVO.setRefreshDate(new Date());
				if (StringUtils.isEmpty(projectApplicationVO.getXmsqId())) {
					projectApplicationVO.setCreateor(CurrentUtil.getUserName());
					responseWrapper = projectApplicationFeign.insert(projectApplicationVO);
				} else {
					projectApplicationVO.setRefresher(CurrentUtil.getUserName());
					responseWrapper = projectApplicationFeign.update(projectApplicationVO);
				}
			} else {
				return ResponseWrapper.error("操作失误，请联系管理员");
			}
		}
		return responseWrapper;
	}

}
