package com.unis.project.app.service.impl;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.JsonUtils;
import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectMaterialDetailsService;
import com.unis.project.client.ProjectMaterialDetailsFeign;
import com.unis.project.common.constant.BaseStatusConstant;
import com.unis.project.common.vo.ProjectMaterialDetailsQueryVO;
import com.unis.project.common.vo.ProjectMaterialDetailsVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMaterialDetailsServiceImpl
 * @ProjectName ProjectMaterialDetailsServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectMaterialDetailsServiceImpl implements ProjectMaterialDetailsService {

	@Autowired
	private ProjectMaterialDetailsFeign projectMaterialDetailsFeign;

	/**
	 * 根据状态保存数据
	 * @param projectMaterialDetailsVOList
	 * @param dataStatus
	 * @return
	 */
	@Override
	public ResponseWrapper projectMaterialDetailsList(List<ProjectMaterialDetailsVO> projectMaterialDetailsVOList, Integer dataStatus) {
		ResponseWrapper responseWrapper = null;
		if (projectMaterialDetailsVOList != null && projectMaterialDetailsVOList.size() > 0){
			String xmsqId = projectMaterialDetailsVOList.get(0).getXmsqId();
			Integer xmcllx = projectMaterialDetailsVOList.get(0).getXmcllx();
            for (ProjectMaterialDetailsVO projectMaterialDetailsVO : projectMaterialDetailsVOList) {
                String xmclxqId = projectMaterialDetailsVO.getXmclxqId();
                if (dataStatus.equals(BaseStatusConstant.STATUS_SAVE)) {//保存
                    if (StringUtils.isEmpty(xmclxqId)) {
                        projectMaterialDetailsVO.setBccltj(0);//初始状态
                        projectMaterialDetailsVO.setCreateor(CurrentUtil.getUserName());
                        projectMaterialDetailsVO.setCreateorCode(CurrentUtil.getUserId());
                        responseWrapper = projectMaterialDetailsFeign.insert(projectMaterialDetailsVO,xmsqId);
                    } else {
                        projectMaterialDetailsVO.setRefresher(CurrentUtil.getUserName());
                        projectMaterialDetailsVO.setRefresherCode(CurrentUtil.getUserId());
                        responseWrapper = projectMaterialDetailsFeign.update(projectMaterialDetailsVO);
                    }
                } else if (dataStatus.equals(BaseStatusConstant.STATUS_SUBMIT)) {//提交
                    projectMaterialDetailsVO.setBccltj(1);//状态改为提交
                    if (StringUtils.isEmpty(xmclxqId)) {
                        projectMaterialDetailsVO.setCreateor(CurrentUtil.getUserName());
                        projectMaterialDetailsVO.setCreateorCode(CurrentUtil.getUserId());
                        responseWrapper = projectMaterialDetailsFeign.insert(projectMaterialDetailsVO,xmsqId);
                    } else {
                        projectMaterialDetailsVO.setRefresher(CurrentUtil.getUserName());
                        projectMaterialDetailsVO.setRefresherCode(CurrentUtil.getUserId());
                        responseWrapper = projectMaterialDetailsFeign.update(projectMaterialDetailsVO);
                    }
                } else {
                    return ResponseWrapper.error("操作失误，请联系管理员");
                }
            }
            if (dataStatus.equals(BaseStatusConstant.STATUS_SUBMIT)) {//保存的删除暂删数据，当提交时执行删除数据在管理端不显示
                ResponseWrapper deleteWrapper = projectMaterialDetailsFeign.getProjectMaterialDetailsDeleteList(new ProjectMaterialDetailsQueryVO(xmsqId, xmcllx, null, null));
                if (deleteWrapper.getInfoCode() != 200){
                    return deleteWrapper;
                }
                List<ProjectMaterialDetailsVO> projectMaterialDetailsList = JsonUtils.parseList(JsonUtils.serialize(deleteWrapper.getData()),ProjectMaterialDetailsVO.class);
                if (projectMaterialDetailsList != null && projectMaterialDetailsList.size() > 0){
                    for (ProjectMaterialDetailsVO projectMaterialDetailsVO : projectMaterialDetailsList) {
                        projectMaterialDetailsVO.setStatus(0);//删除
                        responseWrapper = projectMaterialDetailsFeign.update(projectMaterialDetailsVO);
                    }
                }
            }
		} else {
			return ResponseWrapper.error("操作流程错误，请联系管理员");
		}
		return responseWrapper;
	}
}
