package com.unis.project.app.service.impl;

import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.ResponseWrapper;
import com.unis.project.app.service.ProjectService;
import com.unis.project.client.ProjectFeign;
import com.unis.project.common.constant.BaseStatusConstant;
import com.unis.project.common.vo.ProjectVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectServiceImpl
 * @ProjectName ProjectServiceImpl
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@Service
public class ProjectServiceImpl implements ProjectService {

	@Autowired
	private ProjectFeign projectFeign;

	/**
	 * 根据状态保存数据
	 * @param projectVO
	 * @param dataStatus
	 * @return
	 */
	@Override
	public ResponseWrapper project(ProjectVO projectVO, Integer dataStatus) {
		ResponseWrapper responseWrapper = null;
		if (projectVO == null){
			return ResponseWrapper.error("操作失误，请联系管理员");
		} else {
			if (dataStatus.equals(BaseStatusConstant.STATUS_SAVE)) {//保存
				projectVO.setFbzt(0);
				if (StringUtils.isEmpty(projectVO.getXmId())) {
					projectVO.setCreateor(CurrentUtil.getUserName());
					responseWrapper = projectFeign.insert(projectVO);
				} else {
					projectVO.setRefresher(CurrentUtil.getUserName());
					projectVO.setRefreshDate(new Date());
					responseWrapper = projectFeign.update(projectVO);
				}
			} else if (dataStatus.equals(BaseStatusConstant.STATUS_SUBMIT)) {//发布
				projectVO.setFbzt(1);
				projectVO.setFbsj(new Date());
				if (StringUtils.isEmpty(projectVO.getXmId())) {
					projectVO.setCreateor(CurrentUtil.getUserName());
					responseWrapper = projectFeign.insert(projectVO);
				} else {
					projectVO.setRefresher(CurrentUtil.getUserName());
					projectVO.setRefreshDate(new Date());
					responseWrapper = projectFeign.update(projectVO);
				}
			} else {
				return ResponseWrapper.error("操作失误，请联系管理员");
			}
		}
		return responseWrapper;
	}
}
